libvisio::VSDOptionalParaStyle Struct Reference documentation

libvisio::VSDOptionalParaStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalParaStyle ()
| VSDOptionalParaStyle (unsigned cc, const std::optional< double > &ifst, const std::optional< double > &il, const std::optional< double > &ir, const std::optional< double > &sl, const std::optional< double > &sb, const std::optional< double > &sa, const std::optional< unsigned char > &a, const std::optional< unsigned char > &b, const std::optional< VSDName > &bs, const std::optional< VSDName > &bf, const std::optional< double > bfs, const std::optional< double > &tpab, const std::optional< unsigned > &f)
| VSDOptionalParaStyle (const VSDOptionalParaStyle &style)=default
| ~VSDOptionalParaStyle ()
VSDOptionalParaStyle & | operator= (const VSDOptionalParaStyle &style)=default
void | override (const VSDOptionalParaStyle &style)

## Public Attributes
unsigned | charCount
std::optional< double > | indFirst
std::optional< double > | indLeft
std::optional< double > | indRight
std::optional< double > | spLine
std::optional< double > | spBefore
std::optional< double > | spAfter
std::optional< unsigned char > | align
std::optional< unsigned char > | bullet
std::optional< VSDName > | bulletStr
std::optional< VSDName > | bulletFont
std::optional< double > | bulletFontSize
std::optional< double > | textPosAfterBullet
std::optional< unsigned > | flags

## Constructor & Destructor Documentation

## ◆ VSDOptionalParaStyle() [1/3]

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( |  | ) |
| inline

Referenced by operator=(), override(), and VSDOptionalParaStyle().

## ◆ VSDOptionalParaStyle() [2/3]

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( | unsigned | cc,
|  | const std::optional< double > & | ifst,
|  | const std::optional< double > & | il,
|  | const std::optional< double > & | ir,
|  | const std::optional< double > & | sl,
|  | const std::optional< double > & | sb,
|  | const std::optional< double > & | sa,
|  | const std::optional< unsigned char > & | a,
|  | const std::optional< unsigned char > & | b,
|  | const std::optional< VSDName > & | bs,
|  | const std::optional< VSDName > & | bf,
|  | const std::optional< double > | bfs,
|  | const std::optional< double > & | tpab,
|  | const std::optional< unsigned > & | f )
| inline

## ◆ VSDOptionalParaStyle() [3/3]

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( | const VSDOptionalParaStyle & | style | ) |
| default

## ◆ ~VSDOptionalParaStyle()

libvisio::VSDOptionalParaStyle::~VSDOptionalParaStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

VSDOptionalParaStyle & libvisio::VSDOptionalParaStyle::operator= | ( | const VSDOptionalParaStyle & | style | ) |
| default

## ◆ override()

void libvisio::VSDOptionalParaStyle::override | ( | const VSDOptionalParaStyle & | style | ) |
| inline

## Member Data Documentation

## ◆ align

std::optional<unsigned char> libvisio::VSDOptionalParaStyle::align

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ bullet

std::optional<unsigned char> libvisio::VSDOptionalParaStyle::bullet

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ bulletFont

std::optional<VSDName> libvisio::VSDOptionalParaStyle::bulletFont

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ bulletFontSize

std::optional<double> libvisio::VSDOptionalParaStyle::bulletFontSize

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ bulletStr

std::optional<VSDName> libvisio::VSDOptionalParaStyle::bulletStr

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ charCount

unsigned libvisio::VSDOptionalParaStyle::charCount

Referenced by libvisio::VSDParagraphList::addParaIX(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ flags

std::optional<unsigned> libvisio::VSDOptionalParaStyle::flags

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ indFirst

std::optional<double> libvisio::VSDOptionalParaStyle::indFirst

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ indLeft

std::optional<double> libvisio::VSDOptionalParaStyle::indLeft

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ indRight

std::optional<double> libvisio::VSDOptionalParaStyle::indRight

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ spAfter

std::optional<double> libvisio::VSDOptionalParaStyle::spAfter

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ spBefore

std::optional<double> libvisio::VSDOptionalParaStyle::spBefore

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ spLine

std::optional<double> libvisio::VSDOptionalParaStyle::spLine

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

## ◆ textPosAfterBullet

std::optional<double> libvisio::VSDOptionalParaStyle::textPosAfterBullet

Referenced by libvisio::VSDParagraphList::addParaIX(), override(), VSDOptionalParaStyle(), and VSDOptionalParaStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h